import axios from "axios";
//获取token
export function getTokenApi(money, topPayType, payType) {
    return axios.post('/login', { "username": "admin", "password": "admin123" })
        .then(res => {
            window.localStorage.setItem('token', res.data.token)
            getPayApi(money, topPayType, payType)
        }).catch(() => {})
}

//支付
export function getPayApi(money, topPayType, payType) {
    // alert(money)
    // alert(topPayType)
    // alert(payType)
    // alert(window.localStorage.getItem('token'))
    return axios.post('/dxtop/order/callUnifiedPay', { "money": money, "topPayType": topPayType, "payType": payType }, {
        headers: {
            "Authorization": window.localStorage.getItem('token') //token换成从缓存获取
        }
    }).then(res => {
        alert(res.data.msg)
        console.log(res)
        window.location.href = res.data.msg
    }).catch(() => {

    })
}
// 充值记录、消费记录
export function RechargeConsumption(api, startTime, endTime, current, size) {
    return axios.post(`/dxtop/${api}/page`, { "startTime": startTime, "endTime": endTime, "current": current, "size": size })
        .then(res => {
            console.log(res)
            return res
        }).catch(() => {

        })
}